package cz.jzitnik.game.smelting;

import cz.jzitnik.game.entities.items.Item;
import cz.jzitnik.game.entities.items.ItemBlockSupplier;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.function.Executable;

import java.util.function.Supplier;

import static org.junit.jupiter.api.Assertions.*;

public class SmeltingTest {
    @Test
    @DisplayName("Verity that all items in Smelting are actual items")
    void testAllItems() {
        for (String item : Smelting.smeltingList.keySet()) {
            assertDoesNotThrow(() -> ItemBlockSupplier.getItem(item));
        }

        for (Supplier<Item> supplier: Smelting.smeltingList.values()) {
            assertDoesNotThrow(supplier::get);
        }
    }
}